Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 690828 - dev-vcs/fossil[tcl] on 17.1 profiles fails in src_configure with "Error: Cannot find Tcl on your system"
Summary: dev-vcs/fossil[tcl] on 17.1 profiles fails in src_configure with "Error: Cann...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Rafael Martins
URL:
Whiteboard:
Keywords:
Depends on: CVE-2020-24614
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2019-07-27 21:49 UTC by Anthony Parsons
Modified: 2020-10-02 03:40 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch autosetup/local.tcl to search lib64 (bug690828-lib64.diff,692 bytes, patch)
2020-02-26 04:40 UTC, nic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Parsons 2019-07-27 21:49:36 UTC
Trying to reinstall 2.8 also fails with the same error. I recently did the profile 17.1 transition, maybe that's related?

Build log:
```
 * Package:    dev-vcs/fossil-2.9
 * Repository: gentoo
 * Maintainer: rafaelmartins@gentoo.org titanofold@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux system-sqlite tcl userland_GNU
 * FEATURES:   compressdebug distcc network-sandbox preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking fossil-src-2.9.tar.gz to /var/tmp/portage/dev-vcs/fossil-2.9/work
>>> Source unpacked in /var/tmp/portage/dev-vcs/fossil-2.9/work
>>> Preparing source in /var/tmp/portage/dev-vcs/fossil-2.9/work/fossil-2.9 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-vcs/fossil-2.9/work/fossil-2.9 ...
Host System...x86_64-unknown-linux-gnu
Build System...x86_64-unknown-linux-gnu
C compiler...ccache x86_64-pc-linux-gnu-gcc -O2 -pipe -march=amdfam10 -mtune=amdfam10     --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -floop-interchange -floop-nest-optimize -ftree-vectorize
C++ compiler...ccache c++ -O2 -pipe -march=amdfam10 -mtune=amdfam10     --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -floop-interchange -floop-nest-optimize -ftree-vectorize
Build C compiler...cc
Checking for stdlib.h...ok
Checking for uint32_t...ok
Checking for uint16_t...ok
Checking for int16_t...ok
Checking for uint8_t...ok
Checking for pread...ok
Checking for tclsh...ok
Found Tclsh version 8.6 in the PATH.
Checking for sqlite3_open in sqlite3...-lsqlite3
Checking for sqlite3_stmt_isexplain in sqlite3...-lsqlite3
Legacy mv/rm support enabled
Checking libs for iconv...none needed
Checking for zlib.h...ok
Checking for inflateEnd in z...-lz
Error: Cannot find Tcl on your system
Try: 'configure --help' for options
 * ERROR: dev-vcs/fossil-2.9::gentoo failed (configure phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line 125:  Called src_configure
 *   environment, line 986:  Called die
 * The specific snippet of code:
 *       ./configure ${myconf} || die
 *
 * If you need support, post the output of `emerge --info '=dev-vcs/fossil-2.9::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-vcs/fossil-2.9::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-vcs/fossil-2.9/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-vcs/fossil-2.9/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-vcs/fossil-2.9/work/fossil-2.9'
 * S: '/var/tmp/portage/dev-vcs/fossil-2.9/work/fossil-2.9'
```

emerge --info fossil tcl:
```
Portage 2.3.69 (python 3.6.9-final-0, default/linux/amd64/17.1, gcc-9.1.0, glibc-2.29-r2, 5.2.3-zen-32173-gf87d42014 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.2.3-zen-32173-gf87d42014-x86_64-AMD_Phenom-tm-_II_X4_20_Processor-with-gentoo-2.6
KiB Mem:     6089652 total,    992848 free
KiB Swap:    3044824 total,   3044824 free
Timestamp of repository gentoo: Sat, 27 Jul 2019 17:30:01 +0000
Timestamp of repository lanodanOverlay: Sat, 27 Jul 2019 14:50:17 +0000
Timestamp of repository lua: Sat, 27 Jul 2019 14:49:37 +0000
sh bash 5.0_p7
ld GNU ld (Gentoo 2.32 p2) 2.32.0
distcc 3.3.2 x86_64-pc-linux-gnu [enabled]
ccache version 3.7.2 [disabled]
app-shells/bash:          5.0_p7::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.0::gentoo
dev-lang/python:          2.7.16::gentoo, 3.6.9::gentoo
dev-util/ccache:          3.7.2::gentoo
dev-util/cmake:           3.15.0::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo
sys-devel/gcc:            9.1.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /mnt/nfs/portage/repositories/gentoo
    priority: -1000

arduino-overlay
    location: /mnt/nfs/portage/repositories/arduino-overlay
    masters: gentoo

crossdev
    location: /mnt/nfs/portage/repositories/crossdev
    masters: gentoo

flussence
    location: /home/ant/code/ebuilds
    masters: gentoo

lanodanOverlay
    location: /mnt/nfs/portage/repositories/lanodanOverlay
    masters: gentoo lua

libressl
    location: /mnt/nfs/portage/repositories/libressl
    masters: gentoo

lua
    location: /mnt/nfs/portage/repositories/lua
    masters: gentoo

steam-overlay
    location: /mnt/nfs/portage/repositories/steam-overlay
    masters: gentoo

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=amdfam10 -mtune=amdfam10     --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -floop-interchange -floop-nest-optimize -ftree-vectorize"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=amdfam10 -mtune=amdfam10     --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -floop-interchange -floop-nest-optimize -ftree-vectorize"
DISTDIR="/mnt/nfs/portage/distfiles"
EMERGE_DEFAULT_OPTS="--unordered-display --with-bdeps=y --alert"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup compressdebug config-protect-if-modified distcc distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
INSTALL_MASK=" /usr/share/locale -/usr/share/locale/en_GB /usr/share/man -/usr/share/man/man* /usr/share/wine-*/man -/usr/share/wine-*/man/man* /usr/share/gcc-data/*/*/locale /usr/share/binutils-data/*/*/locale /var/db/repos/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1,--sort-common,--hash-style=gnu,--as-needed,-z,combreloc,-z,relro,-z,now"
MAKEOPTS="-j6 -l3.5"
PKGDIR="/var/cache/packages"
PORTAGE_COMPRESS=""
PORTAGE_COMPRESS_FLAGS=""
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="amd64 bzip2 caps cli crypt cxx dri iconv ipv6 libressl libtirpc linguas_en_GB multilib ncurses nls nptl opencl openmp pcre readline seccomp split-usr ssl unicode vulkan wayland xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="amdgpu" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-vcs/fossil-2.8::gentoo was built with the following:
USE="system-sqlite tcl -debug -fusefs -json -legacy-mv-rm -miniz -ssl -static -tcl-private-stubs -tcl-stubs -th1-docs -th1-hooks" ABI_X86="(64)"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distcc distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"


dev-lang/tcl-8.6.9::gentoo was built with the following:
USE="threads -debug" ABI_X86="(64) -32 (-x32)"
```
Comment 1 Anthony Parsons 2019-10-09 03:12:27 UTC
Update: it installs fine on i686, so it seems like this only affects profile 17.1 systems. I've also ruled out distcc/ccache interference on amd64.

I've noticed the ebuild passes --with-tcl=1, leaving the configure script to figure out the path on its own (which isn't working), but that part's buried deep inside some tcl code I can't interpret. Maybe setting the path explicitly using pkg-config would help?
Comment 2 nic 2020-02-26 04:40:40 UTC
Created attachment 615944 [details, diff]
patch autosetup/local.tcl to search lib64

Hello-
I too encountered this issue with profile default/linux/amd64/17.1/hardened

Tested patch against Fossil 2.10 to find /usr/lib64/tclConfig.sh

Thank you
Comment 3 Larry the Git Cow gentoo-dev 2020-05-02 02:59:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=422480add31731ac3df1851b4ef6654e13a8bda9

commit 422480add31731ac3df1851b4ef6654e13a8bda9
Author:     Aaron W. Swenson <titanofold@gentoo.org>
AuthorDate: 2020-05-02 02:58:45 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2020-05-02 02:58:48 +0000

    dev-vcs/fossil: Fix Tcl dependency and search
    
    Bug: https://bugs.gentoo.org/690828
    Bug: https://bugs.gentoo.org/675778
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 .../files/fossil-2.10-check-lib64-for-tcl.patch    | 11 ++++
 dev-vcs/fossil/fossil-2.10-r1.ebuild               | 72 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2020-10-02 03:40:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f16b344c51b67da95e31e077c4b5a2092788ef0f

commit f16b344c51b67da95e31e077c4b5a2092788ef0f
Author:     Aaron W. Swenson <titanofold@gentoo.org>
AuthorDate: 2020-10-02 03:37:22 +0000
Commit:     Aaron W. Swenson <titanofold@gentoo.org>
CommitDate: 2020-10-02 03:37:22 +0000

    dev-vcs/fossil: Cleanup
    
    Bug: https://bugs.gentoo.org/738220
    Closes: https://bugs.gentoo.org/724272
    Closes: https://bugs.gentoo.org/675778
    Closes: https://bugs.gentoo.org/690828
    Signed-off-by: Aaron W. Swenson <titanofold@gentoo.org>

 dev-vcs/fossil/Manifest             |  1 -
 dev-vcs/fossil/fossil-2.11.1.ebuild | 72 -------------------------------------
 dev-vcs/fossil/metadata.xml         |  3 --
 3 files changed, 76 deletions(-)